LibreOffice: ListEntrySource Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Exported Interfaces | List of all members
ListEntrySource Service Reference

defines a component which provides a list of string entries More...

`import"ListEntrySource.idl";`

Inheritance diagram for ListEntrySource:

## Exported Interfaces
interface | XListEntrySource
| allows read access to the entries represented by this component More...
interface | com::sun::star::lang::XComponent
| allows life time control for the component More...

## Additional Inherited Members
Public Member Functions inherited from XListEntrySource
long | getListEntryCount ()
| retrieves the number of entries in the list More...
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry More...
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries More...
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component. More...
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

defines a component which provides a list of string entries

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life time control for the component

An ListEntrySource will be known to one ore more components supporting the XListEntrySink interface, which all work with this source. However, they will not own the ListEntrySource. The ownership is with another instance, which may also decide to obsolete the ListEntrySource for whatever reasons (e.g. because the data model which the binding reflected died). For this reason, a ListEntrySource must offer a possibility to be obsoleted by its owner, and to notify this obsoleteness to other interested parties, such as XListEntrySinks.

## ◆ XListEntrySource

interface XListEntrySource

allows read access to the entries represented by this component

The documentation for this service was generated from the following file:

- com/sun/star/form/binding/ListEntrySource.idl